summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--audio/rubyripper/README15
-rw-r--r--audio/rubyripper/rubyripper.SlackBuild8
-rw-r--r--audio/rubyripper/rubyripper.info6
3 files changed, 16 insertions, 13 deletions
diff --git a/audio/rubyripper/README b/audio/rubyripper/README
index 601328826d..d7a582da34 100644
--- a/audio/rubyripper/README
+++ b/audio/rubyripper/README
@@ -1,13 +1,14 @@
- Rubyripper is a secure audio ripper which aims to deliver high quality rips
+Rubyripper is a secure audio ripper which aims to deliver high quality rips
from audio cd's to your computer drive. It tries to do so by ripping the same
track with cdparanoia multiple times and then comparing the results.
It currently has a gtk2 and a command-line interface.
Rubyripper has the optional dependencies:
-GTK+ GUI: ruby-gtk2 (we will only build the command-line interface)
-Codec support: flac,vorbis-tools,lame
-ReplayGain support: vorbisgain, mp3gain
-Normalization support: normalize
-Freedb support: cd-discid
-Eject support: eject
+* ruby-gettext (for translations)
+* ruby-gtk2 (for gtk2 gui) (we will only build the command-line interface)
+* cd-discid (for proper freedb support)
+* eject (for eject support)
+* flac, oggenc, lame (if the codec is wanted)
+* wavgain, vorbisgain, mp3gain (for replaygain support)
+* normalize (for normalize support)
diff --git a/audio/rubyripper/rubyripper.SlackBuild b/audio/rubyripper/rubyripper.SlackBuild
index be19d8a7dd..913675481f 100644
--- a/audio/rubyripper/rubyripper.SlackBuild
+++ b/audio/rubyripper/rubyripper.SlackBuild
@@ -4,7 +4,7 @@
# Written by Grigorios Bouzakis (grbzks@gmail.com)
PRGNAM=rubyripper
-VERSION=${VERSION:-0.5.4}
+VERSION=${VERSION:-0.5.5}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -49,8 +49,10 @@ make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
diff --git a/audio/rubyripper/rubyripper.info b/audio/rubyripper/rubyripper.info
index 5e276842a7..476c2d6c94 100644
--- a/audio/rubyripper/rubyripper.info
+++ b/audio/rubyripper/rubyripper.info
@@ -1,8 +1,8 @@
PRGNAM="rubyripper"
-VERSION="0.5.4"
+VERSION="0.5.5"
HOMEPAGE="http://code.google.com/p/rubyripper/"
-DOWNLOAD="http://rubyripper.googlecode.com/files/rubyripper-0.5.4.tar.bz2"
-MD5SUM="7c728ddd517c36c1c6b853c7e0bff8a3"
+DOWNLOAD="http://rubyripper.googlecode.com/files/rubyripper-0.5.5.tar.bz2"
+MD5SUM="45d5d85d2b528538b9d50243360f88cd"
MAINTAINER="Grigorios Bouzakis"
EMAIL="grbzks@gmail.com"
APPROVED="dsomero"